Clicky

Skip to main content

Learn how to get your GlobalMeet password.

Learn how to get your GlobalMeet password. | Register for Cisco WebEx Training.

Meeting Support

What are the Minimum System Requirements for GlobalMeet?

This FAQ contains the hardware and software requirements for installing and using the various components of the GlobalMeet product set. It includes requirements for:

 

  • GlobalMeet for Mac and Windows
  • GlobalMeet Toolbar for Outlook
  • GlobalMeet mobile apps

 

GlobalMeet for Mac and Windows

The GlobalMeet desktop app is available for Mac and Windows computers.  On Windows, GlobalMeet detects whether Microsoft Outlook is installed, and automatically installs the GlobalMeet toolbar.

 

Item Requirements
Processor Intel or AMD 1 GHz or higher
Power PC G4/G5 or Intel Processor
RAM At least 2 GB
Operating System

Windows 7 through 10
Mac OS X 10.9 or higher

Browser

Internet Explorer 8, 9, 10, or 11
Microsoft Edge (Windows 10)
Mozilla Firefox 38 or later
Chrome 44 or later
Apple Safari 7 or later (Mac OS X only)

Flash Player 14 or later
Other Javascript and cookies enabled
Microsoft Outlook
(Windows only)

.NET 4.5.2 or higher
Outlook 2010 SP1 or higher, 32-bit only
Outlook 2013, 32- or 64-bit

Outlook 2016, 32- or 64-bit

 

GlobalMeet Toolbar for Outlook (Windows only)

In addition to the Windows requirements above, the GlobalMeet toolbar requires:

  • .NET 4.5.2 or higher
  • Outlook 2010 SP1 or higher, 32-bit only
  • Outlook 2013, 32- or 64-bit
  • Outlook 2016, 32- or 64-bit

 

GlobalMeet Mobile Apps

The following table summarizes system requirements for the GlobalMeet mobile apps. All apps require an active data connection, either through the wireless carrier’s 3G/4G/LTE network or via Wi-Fi.

 

Mobile App OS Versions Supported Devices
GlobalMeet for Android Android platform versions 4.0.3 and later (Ice Cream Sandwich, Jelly Bean, KitKat, Lollipop, and Marshmallow) Android smartphones only. Android tablets are not currently supported.
GlobalMeet for Blackberry BlackBerry Device Software v5.0, 6 OS, and 7 OS Most BlackBerry smartphones running the supported OS versions.
GlobalMeet for iPhone iOS 8, iOS 9, and iOS 10

iPhone 5 a​nd later devices running iOS 8 or later. 

GlobalMeet Web & Audio

(Formerly known as GlobalMeet HD for iPad)

iOS 8, iOS 9, and iOS 10

iPad, iPad Air, iPad Pro, and iPad mini devices, including those with Retina display.

iPhone 5 and later devices running iOS 8 or later.

  • Was this article helpful?